import request from './request';
let api = {
  getLiveDraw: '/activity/Draw/getLiveDraw' // 新抽奖
};
const prodApi = {
  getLiveDraw:
    'https://1812501212048408.cn-hangzhou.fc.aliyuncs.com/2016-08-15/proxy/gdyactivity.online/live/activity/draw/GetLiveDraw' // 新抽奖
};
const preApi = {
  getLiveDraw:
    'https://1812501212048408.cn-hangzhou.fc.aliyuncs.com/2016-08-15/proxy/gdyactivity/live/activity/draw/GetLiveDraw' // 新抽奖
};
const testApi = {
  // getLiveDraw: '' // 新抽奖
};
if (!process.env.private) {
  if (!process.env.X_CA_STAGE) {
    api = { ...api, ...prodApi };
  } else if (process.env.X_CA_STAGE === 'PRE') {
    api = { ...api, ...preApi };
  } else if (process.env.X_CA_STAGE === 'TEST') {
    api = { ...api, ...testApi };
  }
}
export const getLiveDraw = data => {
  return request.get(api['getLiveDraw'], data);
};

export default {
  getLiveDraw
};
